<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# user

	system::access(true);

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;

	if (cache_tk::ch($id) === false)system::header('/office/tk','Ошибка, ID не найден');

	$act = cache_tk::check($id);

	if ($act['user'] != $user['id'])system::header('/office/tk','Ошибка, ID не найден');
	
	# meta

	$title = 'Мой кабинет » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Тикет - '.system::check($act['name']);

	# post

	if (isset($_POST['CFMS'])): 

	$message  = system::check($_POST['message']);
	$CK    	  = system::check($_POST['CK']);	
	
	if (system::utf_strlen($message) > 1 && system::utf_strlen($message)	< 101):		
	if ($user['CK'] == $CK):
	if ($act['hide'] == 0):

	DB :: $dbh -> query("INSERT INTO tkcom (message,tk,user,time) VALUES (?,?,?,?);",array($message,$id,$user['id'],time()));	

	$id = DB :: $dbh -> lastInsertId();	
	
	cache_tkcom::save($id);	

	system::header('?','Успешно',1);		

	# error

	else: system::header('?','Ошибка, тикет закрыт'); endif;
	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;
	else: system::header('?','Комментарий от 1 до 100 символов'); endif;

	endif;

	# head

	require_once ( head );

	$us = DB :: $dbh -> queryFetch("SELECT CK FROM user WHERE id = ? LIMIT 1;", array($act['user'])); 
	$us = cache_user::check($us['CK']); 

	$cn = DB :: $dbh -> querySingle("SELECT count(id) FROM tkcom WHERE tk = ? ", array($act['id']));	

	echo '
	<div class ="touch">
	<img src ="'.ico.'tk1.png"> <font color="green">'.system::check($act['name']).'</font>
	<br> Статус: '.($act['hide'] == 0 ? '<font color="blue"> Открыт</font>':'<font color="red">Закрыт</font>').'
	<br> Время создания: <font color="green">'.system::time($act['time']).'</font>
	<br> Создал: <img src ="'.ico.'us/'.($us['admin'] == 0 ? 'man_on.gif':'anime.png').'"> '.system::check($us['login']).' '.($us['admin'] == 1 ? '[<font color="red">ADM</font>]':'').'
	<br> Описание: '.system::check($act['message']).'
	</div>
	<div class="block_h">Комментарии - '.$cn.'</div>
	';	

	if($cn == 0)echo '<div class="err">Cписок пуст!</div>';
	
	$page = new page($cn);

	$limit = $cn > $page -> elements ? $page -> limit : null;

	$query = DB :: $dbh -> query("SELECT id FROM tkcom WHERE tk = ? ORDER BY time DESC {$limit}", array($act['id']));
	
	while ($data = $query -> fetch()):

	$data = cache_tkcom::check($data['id']);

	$use = DB :: $dbh -> queryFetch("SELECT CK FROM user WHERE id = ? LIMIT 1;", array($data['user'])); 
	$use = cache_user::check($use['CK']); 	

	echo '
	<div class="touch">
	'.($data['admin'] == 1 ? '<img src ="'.ico.'us/anime.png">':'
	<img src ="'.ico.'us/'.($use['admin'] == 0 ? 'man_on.gif':'anime.png').'">').'
	'.($data['admin'] == 1 ? '<font color="green">Администратор</font>':system::check($us['login'])).'
	- '.system::time($act['time']).'
	<br> '.system::check($data['message']).'
	</div>';	

	endwhile;	

	$page -> get('?');

	echo '
	'.($act['hide'] == 1 ? '
	<div class ="err">Возможность комментирования ограничена</div>
	':'
	<div class="touch">
	<div style="color:#9b2d30; padding:8px;">Приватные комментарии видят только автор заявки и администраторы.</div>
	<form method="post">
	<input type="hidden" name="CK" value = "'.$user['CK'].'">
	Комментарий [max. 100]:<br>
	<textarea name="message" cols="38" rows="8"></textarea><br>
	<input name="CFMS" type="submit" value="Добавить">
	</form></div>
	').'
	<a href="'.site.'office/tk" class="touch"> « Назад</a>';

	# foot

	require_once ( foot ) ;

?>